<?php

define("DIALOG_PROGRESS", "progress");
define("DIALOG_CONFIRM", "confirm");
define("DIALOG_WARNING", "warning");
define("DIALOG_MESSAGE", "message");
define("DIALOG_ERROR", "error");
define("DIALOG_OPENFILE", "openfile");
define("DIALOG_SAVEFILE", "savefile");

require_once __DIR__."/../vendor/autoload.php";

use VfxApply\Application;

// Find the actual root, follow links, and strip the bin part if local
if (!($script = dirname(@readlink($_SERVER['SCRIPT_NAME']))))
    $script = dirname($_SERVER['SCRIPT_NAME']);
if (basename($script)=='bin')
    $script = dirname($script);

define("APP_ROOT", $script);

$app = new Application();
$app->run();
